• twitter image
  • facebook image
  • youtube image
  • linkedin image
  • RSS
Language: CMS Made Simple Czech CMS Made Simple France CMS Made Simple Spain CMS Made Simple Hungary CMS Made Simple Russia CMS Made Simple, Belgium - the Netherlands

Announcing CMS Made Simple 1.11.9 Bartolome

Category:General Releases 

28. 09. 2013 by Robert Campbell

Hello Everybody.

Today we are happy to announce the release of CMS Made Simple 1.11.9 Bartolome—the latest stable release of your favourite content management system.

The last release of CMSMS was only a couple of weeks ago, and, normally, we do not like to release versions of CMSMS so quickly. However, there was a problem with the 1.11.8 release that we did not detect until a few days after release, and since there were a few bugs with respect to this release that were worth fixing we thought it better to fix the code and call the release 1.11.9.

Specifically, the 1.11.8 release introduced a new event (TemplatePreFetch) that would make modules like CmsTouch and TemplateExternalizer more powerful. Unfortunately, the schema version did not change properly, so only users who did a fresh install would get this event. Additionally, we should not have distributed the 1.11.8 diff packages. These were subsequently removed (if you installed the 1.11.8 diff, don't worry—you can still upgrade to 1.11.9).

We have done more, such as modifing the permissions model so that users with 'Modify Any Page' and 'Remove Content' permissions can delete almost any content page. We have fixed error handling so that error pages won't be indexed by search engines, and hidden technical details in the error page, as well as some minor security improvements, a PHP 5.3 dependency, and a few other minor details. You can check the doc/CHANGELOG.txt file for more details.

Since the schema version did change (properly this time) in this release, there will be no diff packages released. You will need to upload and expand either the full distribution, or english base package (and whatever language packs you need). Navigate to the install/upgrade.php page to begin the upgrade process.

Due to the fact that some issues with respect to security and PHP 5.3 dependencies were fixed, we recommend that everybody upgrade to version 1.11.9 as soon as possible. Keep in mind the 1.11.x series of CMSMS is the last series that will support PHP 5.2. We recommend that everybody that is still using PHP 5.2.x contact their hosts about upgrading.

As always, the latest release of CMS Made Simple is available from our downloads page.

© copyright 2013 - CMS Made Simple. All rights reserved
Unauthorized reproduction including translation prohibited.


© Copyright 2013 by CMSMS™ and the posts author(s). All rights reserved.


comments powered by Disqus

Arvixe - A CMSMS Partner